XISE_MSG_FILTER(1)

NAME
xise_msg_filter - message filter for Xilinx ISE tool chain log files

SYNOPSIS
xise_msg_filter [--pack] TYPE IMFSET LOGFILE
xise_msg_filter --help

DESCRIPTION
Scans the log file LOGFILE generated by the Xilinx ISE tool specified by TYPE for informational, warning, and error messages and compares these messages against a set of message filter rules defined in the IMFSET file. xise_msg_filter will print all non-matching messages. All filter rules which do not match a message are also listed, these messages are considered missing. Matched messages are considered accepted. In normal operation, they will not create any output. xise_msg_filter is useful for example in make(1)-based flows to create a short summary from the log files. The accepted values for TYPE are:
    xst ISE xst
    tra ISE ngdbuild (translate)
    map ISE map
    par ISE par
    twr ISE trce
    bgn ISE bitgen

OPTIONS

--pacc
    Print a summary of all accepted messages. The match count for each rule is listed.

--help
    print full help.

MESSAGE FILTER FILE FORMAT
Simply a list of regular expression patterns structured by section headers of the form "[TYPE]". Blank lines and lines starting with '#' will be ignored. xise_msg_filter will extract the patterns of the section matching the TYPE argument.

  Example message filter file
      # ---------
      [xst]
      INFO:.*The FF/Latch <.*> is equivalent to .* will be removed
      Node <HIO/IOB_BTN/R_DI_[1-4]> of sequential type is unconnected
      # ---------
      [map]
      INFO:.*The FF/Latch <.*>.*is equivalent to the following FF/Latch

EXIT STATUS
If TYPE is invalid or the IMFSET or LOGFILE files can't be opened an exit status 1 is returned.

EXAMPLES

xise_msg_filter xst proj.imfset proj_xst.log
    Generate a short summary of a ISE xst log file.

BUGS
The IMFSET file is flat, with no structuring possible, e.g. with includes. It'll be great to have for example default rules for each target device. Since ISE is 'end-of-life' no further work on xise_msg_filter will be done.

SEE ALSO
xise_msg_summary(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>